import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;
//import java.util.*;
public class Planet extends Actor
{
    int width;
    int height;
    Color color;
    double g;
    
    Color[] colors = {Color.blue,Color.cyan,Color.darkGray,Color.gray,Color.green,Color.lightGray,Color.magenta,Color.orange,Color.pink,Color.red,Color.white,Color.yellow};

    public void act() 
    {
        
    }  
    
    public Planet(int newWidth,int newHeight,Color newColor) {
        width = newWidth;
        height = newHeight;
        color = newColor;
    }
    
    public Planet(int newWidth,int newHeight) {
        width = newWidth;
        height = newHeight;
        color = colors[Greenfoot.getRandomNumber(colors.length)];
    }
    
    public Planet(int both) {
        width = both;
        height = both;
        color = colors[Greenfoot.getRandomNumber(colors.length)];
    }

    public Planet() {
        width = 50;
        height = 50;
        color = colors[Greenfoot.getRandomNumber(colors.length)];
    }    

    protected void addedToWorld(World Main) {
        GreenfootImage image = new GreenfootImage(width,height);
        image.setColor(color);
        image.fillOval(0,0,image.getWidth(),image.getHeight());
        setImage(image);
        g = (width+height)/10;
    }
    
    public double getG() {
        return g;
    }
}
